Package be.fgov.ehealth.certra.protocol.v2

# Class GetActorQualitiesRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GetActorQualitiesRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetActorQualitiesRequest extends RequestType implements Serializable
Request type that allows a user to get their health care qualities from the web service. This will check both the natural person qualities and the organizations for which they are authorized to manage the eHealth certificate.

Java class for GetActorQualitiesRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetActorQualitiesRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="SSIN" type="{urn:be:fgov:ehealth:commons:core:v2}IdType"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetActorQualitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Signature`
  `getSignature()`
  An enveloped XML signature signing the entire request element.
  `Id`
  `getSSIN()`
  The SSIN of the person of which you want to get the list of actor qualities.
  `void`
  `setSignature(Signature value)`
  Sets the value of the signature property.
  `void`
  `setSSIN(Id value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetActorQualitiesRequest

    public GetActorQualitiesRequest()

- ## Method Details

  - ### getSSIN

    public Id getSSIN()
    The SSIN of the person of which you want to get the list of actor qualities.
    Returns:
      possible object is `Id`

  - ### setSSIN

    public void setSSIN(Id value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `Id`
    See Also:
      - `getSSIN()`

  - ### getSignature

    public Signature getSignature()
    An enveloped XML signature signing the entire request element. This signature must be created with the "Authentication" key of a valid Belgian eID card. The person signing the request MUST be the same as the one identified by the SSIN element.
    Returns:
      possible object is `Signature`

  - ### setSignature

    public void setSignature(Signature value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `Signature`
    See Also:
      - `getSignature()`